from rollbot import as_command, RollbotFailure
from rollbot.injection import Request


@as_command
async def inspire(req: Request):
    """
    Using the command !inspire will request an inspiration image from http://inspirobot.me/
    """
    try:
        async with req.get("http://inspirobot.me/api?generate=true") as res:
            return await res.text()
    except:
        RollbotFailure.SERVICE_DOWN.raise_exc(detail="Could not reach inspirobot")
